

rename key_init() to reiser4_key_init()

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/reiser4/kassign.c       |    8 ++++----
 25-akpm/fs/reiser4/key.c           |    2 +-
 25-akpm/fs/reiser4/key.h           |    2 +-
 25-akpm/fs/reiser4/plugin/object.c |    2 +-
 25-akpm/fs/reiser4/safe_link.c     |    4 ++--
 5 files changed, 9 insertions(+), 9 deletions(-)

diff -puN fs/reiser4/kassign.c~reiser4-rename-key_init fs/reiser4/kassign.c
--- 25/fs/reiser4/kassign.c~reiser4-rename-key_init	Mon Nov  1 14:33:33 2004
+++ 25-akpm/fs/reiser4/kassign.c	Mon Nov  1 14:33:51 2004
@@ -340,7 +340,7 @@ build_entry_key_common(const struct inod
 
 	assert("nikita-2867", strlen(name) == len);
 
-	key_init(result);
+	reiser4_key_init(result);
 	/* locality of directory entry's key is objectid of parent
 	   directory */
 	set_key_locality(result, get_inode_oid(dir));
@@ -437,7 +437,7 @@ build_entry_key_stable_entry(const struc
 	assert("nikita-2285", name->name != NULL);
 	assert("nikita-2286", result != NULL);
 
-	key_init(result);
+	reiser4_key_init(result);
 	/* locality of directory entry's key is objectid of parent
 	   directory */
 	set_key_locality(result, get_inode_oid(dir));
@@ -512,7 +512,7 @@ build_sd_key(const struct inode * target
 {
 	assert("nikita-261", result != NULL);
 
-	key_init(result);
+	reiser4_key_init(result);
 	set_key_locality(result, reiser4_inode_data(target)->locality_id);
 	set_key_ordering(result, get_inode_ordering(target));
 	set_key_objectid(result, get_inode_oid(target));
@@ -569,7 +569,7 @@ extract_key_from_id(const obj_key_id * i
 	assert("nikita-1153", id != NULL);
 	assert("nikita-1154", key != NULL);
 
-	key_init(key);
+	reiser4_key_init(key);
 	xmemcpy(key, id, sizeof *id);
 	return 0;
 }
diff -puN fs/reiser4/key.c~reiser4-rename-key_init fs/reiser4/key.c
--- 25/fs/reiser4/key.c~reiser4-rename-key_init	Mon Nov  1 14:33:33 2004
+++ 25-akpm/fs/reiser4/key.c	Mon Nov  1 14:33:58 2004
@@ -33,7 +33,7 @@ static const reiser4_key MAXIMAL_KEY = {
 
 /* Initialise key. */
 reiser4_internal void
-key_init(reiser4_key * key /* key to init */ )
+reiser4_key_init(reiser4_key * key /* key to init */ )
 {
 	assert("nikita-1169", key != NULL);
 	xmemset(key, 0, sizeof *key);
diff -puN fs/reiser4/key.h~reiser4-rename-key_init fs/reiser4/key.h
--- 25/fs/reiser4/key.h~reiser4-rename-key_init	Mon Nov  1 14:33:33 2004
+++ 25-akpm/fs/reiser4/key.h	Mon Nov  1 14:34:01 2004
@@ -220,7 +220,7 @@ typedef enum { LESS_THAN = -1,	/* if fir
 	GREATER_THAN = +1	/* if first key is greater than second */
 } cmp_t;
 
-void key_init(reiser4_key * key);
+void reiser4_key_init(reiser4_key * key);
 
 /* minimal possible key in the tree. Return pointer to the static storage. */
 extern const reiser4_key *min_key(void);
diff -puN fs/reiser4/plugin/object.c~reiser4-rename-key_init fs/reiser4/plugin/object.c
--- 25/fs/reiser4/plugin/object.c~reiser4-rename-key_init	Mon Nov  1 14:33:33 2004
+++ 25-akpm/fs/reiser4/plugin/object.c	Mon Nov  1 14:34:04 2004
@@ -1181,7 +1181,7 @@ reiser4_internal int prepare_write_commo
 reiser4_internal int
 key_by_inode_and_offset_common(struct inode *inode, loff_t off, reiser4_key *key)
 {
-	key_init(key);
+	reiser4_key_init(key);
 	set_key_locality(key, reiser4_inode_data(inode)->locality_id);
 	set_key_ordering(key, get_inode_ordering(inode));
 	set_key_objectid(key, get_inode_oid(inode));/*FIXME: inode->i_ino */
diff -puN fs/reiser4/safe_link.c~reiser4-rename-key_init fs/reiser4/safe_link.c
--- 25/fs/reiser4/safe_link.c~reiser4-rename-key_init	Mon Nov  1 14:33:33 2004
+++ 25-akpm/fs/reiser4/safe_link.c	Mon Nov  1 14:34:13 2004
@@ -93,7 +93,7 @@ safe_link_locality(reiser4_tree *tree)
 static reiser4_key *
 build_link_key(struct inode *inode, reiser4_safe_link_t link, reiser4_key *key)
 {
-	key_init(key);
+	reiser4_key_init(key);
 	set_key_locality(key, safe_link_locality(tree_by_inode(inode)));
 	set_key_objectid(key, get_inode_oid(inode));
 	set_key_offset(key, link);
@@ -209,7 +209,7 @@ typedef struct {
 static void safe_link_iter_begin(reiser4_tree *tree, safe_link_context *ctx)
 {
 	ctx->tree = tree;
-	key_init(&ctx->key);
+	reiser4_key_init(&ctx->key);
 	set_key_locality(&ctx->key, safe_link_locality(tree));
 	set_key_objectid(&ctx->key, get_key_objectid(max_key()));
 	set_key_offset(&ctx->key, get_key_offset(max_key()));
_
